Sorry, I'm making a big mess of this. Please ignore the previous one. I
used set -x instead of set -e
On 25-04-13 15:25, Martijn van Beurden wrote:
On 25-04-13 11:38, Erik de Castro Lopo wrote:
Lets see the patch first and then see if we can make it prettier.
Erik
Sure. Patch attached.
>From bae4658ef6f18db9bb8c49fecd01f6eade25554a Mon Sep 17 00:00:00 2001
From: Martijn van Beurden <mva...@gmail.com>
Date: Thu, 25 Apr 2013 15:20:23 +0200
Subject: [PATCH] Add set -e to stop test_metaflac.sh
test_metaflac.sh wasn't aborting when replaygain values were
incorrect because the die() function was embedded in a pipe.
set -e was added so the script exits with a non-zero exit code
when die is called in a pipe.
---
test/test_metaflac.sh | 2 ++
1 file changed, 2 insertions(+)
diff --git a/test/test_metaflac.sh b/test/test_metaflac.sh
index 9a13291..2ea2251 100755
--- a/test/test_metaflac.sh
+++ b/test/test_metaflac.sh
@@ -452,6 +452,8 @@ REPLAYGAIN_FREQ="$REPLAYGAIN_FREQ 37800/-14.18"
REPLAYGAIN_FREQ="$REPLAYGAIN_FREQ 44100/-14.17"
REPLAYGAIN_FREQ="$REPLAYGAIN_FREQ 48000/-14.16:1:2:4"
+set -e
+
for ACTION in $REPLAYGAIN_FREQ ; do
if [ -n "${ACTION##*:*}" ] ; then
HARMONICS=1
--
1.7.10.4
_______________________________________________
flac-dev mailing list
flac-dev@xiph.org
http://lists.xiph.org/mailman/listinfo/flac-dev